Resolution: Fixed   

Description

Could there be a new Custom Field Type be added: File?

For each Issue in our system, we have a few specific files that need to be completed (ie-project specification, testing plan,

deployment package, etc.).  It would be really helpful if we could create a custom field as a file field so in the issues list we could see

if a specific required file exists and view it from the issues list.

Attached is an example.

Related issues:

Related to Redmine - Feature #15900: Add to Issues List column of the attachm... New

Related to Redmine - Defect #24150: Typo in class name and unidentified (left... Closed

Related to Redmine - Defect #26705: Unable to download file if custom field i... Closed

Related to Redmine - Defect #28259: attachments_fields id to class change not... Closed

Has duplicate Redmine - Feature #22634: "File" type custom field Closed

Associated revisions

Revision 15917 - 2016-10-23 11:16 - Jean-Philippe Lang

Adds file custom field format (#6719).

Revision 15921 - 2016-10-23 13:00 - Jean-Philippe Lang

Option to specify allowed extensions for a file custom field (#6719).

Revision 15923 - 2016-10-23 13:48 - Jean-Philippe Lang

Don't bulk edit file custom fields (#6719).

Revision 15924 - 2016-10-23 13:51 - Jean-Philippe Lang

Don't bulk edit file custom fields (#6719).

Revision 15926 - 2016-10-23 14:20 - Jean-Philippe Lang

Fix file upload for IE9 (#6719).

Revision 16068 - 2016-12-13 20:44 - Jean-Philippe Lang

Use multipart forms for objects that may have file custom fields (#6719).

History

#1 - 2011-04-14 15:02 - Jonas De Meulenaere

- Category changed from Issues to Custom fields

#2 - 2013-09-17 15:21 - Motaz Abuthiab

+1

I like the idea of extending redmine with files/attachments/images.. ecc ecc

Hope to see this soon

#3 - 2013-09-25 12:17 - Toshi MARUYAMA
- Has duplicate Feature #3526: Custom fields for files added

#4 - 2015-03-31 19:34 - Andrey Tatarnikov

Has anyone solved this issue with any workaround or patch?

We have to force users to upload files in issues and check if file uploaded...

#5 - 2015-07-07 13:47 - Ebrahim Mohammadi

This feature would be very useful. Especially if it would let the user set some limitations on file size, type, etc. for each custom field of type "File".

#6 - 2015-07-10 12:44 - Ricard F

+1! that feature would be very useful!

#7 - 2015-08-06 04:02 - Toshi MARUYAMA

- Related to Feature #15900: Add to Issues List column of the attachment icon added

#8 - 2015-08-06 04:05 - Toshi MARUYAMA

I think #15900 is smarter.

#9 - 2016-07-08 00:09 - Victor Campos

Hi guys,

I'm trying to fix it:

https://github.com/visagio/redmine_file_custom_field

PR needed =)

#10 - 2016-10-23 11:17 - Jean-Philippe Lang

- Subject changed from Custom Fields - Specific File Uploads to File format for custom fields (specific file uploads)

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0

- Resolution set to Fixed

Feature added in r15917.

#11 - 2016-10-23 11:19 - Jean-Philippe Lang

- Has duplicate deleted (Feature #3526: Custom fields for files)

#12 - 2016-10-31 16:45 - Toshi MARUYAMA

- Related to Defect #24150: Typo in class name and unidentified (left-over) code comment added

#13 - 2016-12-25 04:54 - Go MAEDA

- Has duplicate Feature #22634: "File" type custom field added

#14 - 2017-09-15 11:42 - Toshi MARUYAMA

- Related to Defect #26705: Unable to download file if custom field is not defined as visible to any users added

#15 - 2018-03-01 06:24 - Go MAEDA

- Related to Defect #28259: attachments_fields id to class change not properly reflected in all CSS added
